#include<bits/stdc++.h>
using namespace std;
int main ()
{
    ios_base::sync_with_stdio();
    cin.tie(0);
    cout.tie(0);
    long long n, ans=0;
    cin>>n;
    for(long long i=1;i*i<=n;i++)
    {
        if(n%i!=0)continue;
        for(long long j=i;j*j<=n;j++)
        {
            if((n/i)%j==0 && n/(i*j)>i)
            {
                ans++;
               // cout<<i<<" "<<j<<endl;
            }

        }
    }
    cout<<ans<<endl;
    return 0;
}
